TDRECORD(1)

NAME
tdrecord - record input and output of a terminal program

SYNOPSIS
tdrecord [OPTIONS]... CLIENT [CLIENT OPTIONS]...

DESCRIPTION
tdrecord records the input and output of client. The recording can later be replayed using tdreplay(1) to compare behaviour of different versions of client. Without options, tdrecord will create the recording in the file tdrecord-year-month-day@hour:minute:second.

OPTIONS
tdrecord accepts the following options:

-h, --help
    Display a short help message.

-V, --version
    Print version and copyright information.

-d dir, --directory=dir
    Create the recording in directory dir. This option can not be used together with the -o/--output option.

-e vars, --environment=vars
    Save the environment variables indicated by the comma-separated list vars to the recording. These will be set on replay.

-o file, --output=file
    Save the output in file. This option can not be used together with the -d/--directory option.

-X, --allow-x11
    Don't clear the DISPLAY environment variable, to allow communication with X11.

To stop tdrecord from interpreting file names that start with a dash as options, one can specify a double dash (--) after which tdrecord will interpret any following arguments as the client and its options.

BUGS
If you think you have found a bug, please check that you are using the latest version of termdebug <http://os.ghalkes.nl/termdebug>. When reporting bugs, please include a minimal example that demonstrates the problem.

AUTHOR
G.P. Halkes <termdebug@ghalkes.nl>

COPYRIGHT
Copyright © 2010,2012-2013 G.P. Halkes
termdebug is licensed under the GNU General Public License version 3.
For more details on the license, see the file COPYING in the documentation directory. On Un*x systems this is usually /usr/share/doc/termdebug.

SEE ALSO
termdebug(1), tdreplay(1), tdrerecord(1), tdview(1), tdcompare(1)